__gnu_profile::__trace_map2umap(3cxx)

NAME
__gnu_profile::__trace_map2umap - Map-to-unordered_map instrumentation producer.

SYNOPSIS

#include <profiler_map_to_unordered_map.h>

Inherits __gnu_profile::__trace_base< __map2umap_info, __map2umap_stack_info >.

  Public Member Functions

__map2umap_info * __add_object (__stack_t __stack)
void __collect_warnings (__warning_vector_t &__warnings)
void __destruct (__map2umap_info *__obj_info)
void __free ()
void __retire_object (__map2umap_info *__info)
void __write (FILE *__f)

  Protected Attributes

const char * __id

Detailed Description

Map-to-unordered_map instrumentation producer.

Definition at line 173 of file profiler_map_to_unordered_map.h.

Constructor & Destructor Documentation

  __gnu_profile::__trace_map2umap::__trace_map2umap () [inline]

Definition at line 177 of file profiler_map_to_unordered_map.h.

Member Function Documentation

  __map2umap_info * __gnu_profile::__trace_base< __map2umap_info , __map2umap_stack_info >::__add_object (__stack_t __stack) [inherited]

Definition at line 206 of file profiler_trace.h.

  void __gnu_profile::__trace_base< __map2umap_info , __map2umap_stack_info >::__collect_warnings (__warning_vector_t & __warnings) [inherited]

Definition at line 209 of file profiler_trace.h.

  void __gnu_profile::__trace_map2umap::__destruct (__map2umap_info * __obj_info) [inline]

Definition at line 183 of file profiler_map_to_unordered_map.h.

  void __gnu_profile::__trace_base< __map2umap_info , __map2umap_stack_info >::__retire_object (__map2umap_info * __info) [inherited]

Definition at line 207 of file profiler_trace.h.

  void __gnu_profile::__trace_base< __map2umap_info , __map2umap_stack_info >::__write (FILE * __f) [inherited]

Definition at line 208 of file profiler_trace.h.

Member Data Documentation

  const char* __gnu_profile::__trace_base< __map2umap_info , __map2umap_stack_info >::__id [protected], [inherited]

Definition at line 222 of file profiler_trace.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.